RDKit: RDKit::MolEnumerator::MolEnumeratorOp Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolEnumerator::MolEnumeratorOp Class Referenceabstract

abstract base class for the a molecule enumeration operation More...

`#include <MolEnumerator.h>`

Inheritance diagram for RDKit::MolEnumerator::MolEnumeratorOp:

## Public Member Functions
| MolEnumeratorOp ()
virtual | ~MolEnumeratorOp ()
virtual std::vector< size_t > | getVariationCounts () const =0
virtual std::unique_ptr< ROMol > | operator() (const std::vector< size_t > &which) const =0
| returns a the molecule corresponding to a particular variation
virtual void | initFromMol (const ROMol &mol)=0
| initializes this operation to work on a particular molecule
virtual std::unique_ptr< MolEnumeratorOp > | copy () const =0
| polymorphic copy

## Detailed Description

abstract base class for the a molecule enumeration operation

Definition at line 34 of file MolEnumerator.h.

## Constructor & Destructor Documentation

## ◆ MolEnumeratorOp()

RDKit::MolEnumerator::MolEnumeratorOp::MolEnumeratorOp | ( |  | ) |
| inline

Definition at line 36 of file MolEnumerator.h.

## ◆ ~MolEnumeratorOp()

virtual RDKit::MolEnumerator::MolEnumeratorOp::~MolEnumeratorOp | ( |  | ) |
| inlinevirtual

Definition at line 37 of file MolEnumerator.h.

## Member Function Documentation

## ◆ copy()

virtual std::unique_ptr< MolEnumeratorOp > RDKit::MolEnumerator::MolEnumeratorOp::copy | ( |  | ) | const
| pure virtual

polymorphic copy

Implemented in RDKit::MolEnumerator::LinkNodeOp, RDKit::MolEnumerator::PositionVariationOp, and RDKit::MolEnumerator::RepeatUnitOp.

## ◆ getVariationCounts()

virtual std::vector< size_t > RDKit::MolEnumerator::MolEnumeratorOp::getVariationCounts | ( |  | ) | const
| pure virtual

returns a vector of the number of possible variations at variability point covered by this operation

Implemented in RDKit::MolEnumerator::LinkNodeOp, RDKit::MolEnumerator::PositionVariationOp, and RDKit::MolEnumerator::RepeatUnitOp.

## ◆ initFromMol()

virtual void RDKit::MolEnumerator::MolEnumeratorOp::initFromMol | ( | const ROMol & | mol | ) |
| pure virtual

initializes this operation to work on a particular molecule

Implemented in RDKit::MolEnumerator::LinkNodeOp, RDKit::MolEnumerator::PositionVariationOp, and RDKit::MolEnumerator::RepeatUnitOp.

## ◆ operator()()

virtual std::unique_ptr< ROMol > RDKit::MolEnumerator::MolEnumeratorOp::operator() | ( | const std::vector< size_t > & | which | ) | const
| pure virtual

returns a the molecule corresponding to a particular variation

which.size() should be equal to the number of variation counts.

Implemented in RDKit::MolEnumerator::LinkNodeOp, RDKit::MolEnumerator::PositionVariationOp, and RDKit::MolEnumerator::RepeatUnitOp.

The documentation for this class was generated from the following file:

- MolEnumerator.h